## Index

### Type aliases

- BatchGetItemOutputWithUnprocessedKeys

### Functions

- batchGetItemsFetchAll
- combineBatchGetResponses
- hasUnprocessedKeys

## Type aliases

### BatchGetItemOutputWithUnprocessedKeys

BatchGetItemOutputWithUnprocessedKeys: BatchGetItemOutput & object

- Defined in dynamo/batchget/batch-get-utils.ts:42

## Functions

### batchGetItemsFetchAll

- batchGetItemsFetchAll(dynamoRx: DynamoRx, params: BatchGetItemInput, backoffTimer: IterableIterator<number>, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get-utils.ts:14

  Function which executes batchGetItem operations until all given items (as params) are processed (fetched). Between each follow-up request (in case of unprocessed items) a delay is interposed calculated by the given backoffTime and throttleTimeSlot.

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### params: BatchGetItemInput

    containing the keys per table to create the batchGet operation

  - ##### backoffTimer: IterableIterator<number>

    used to determine how many time slots the follow-up request should be delayed

  - ##### throttleTimeSlot: number

    used to calculate the effective wait time

  #### Returns Observable<BatchGetItemOutput>

### combineBatchGetResponses

- combineBatchGetResponses(response1: BatchGetItemOutput): (Anonymous function)

- - Defined in dynamo/batchget/batch-get-utils.ts:59

  combines a first with a second response. ConsumedCapacity is always from the latter.

  #### Parameters

  - ##### response1: BatchGetItemOutput

  #### Returns (Anonymous function)

### hasUnprocessedKeys

- hasUnprocessedKeys(response: BatchGetItemOutput): boolean

- - Defined in dynamo/batchget/batch-get-utils.ts:46

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns boolean

Generated using TypeDoc